with timeout of 5 seconds
	tell application "iChat"
		if (count of windows) > 0 then
			set theDocument to document of window 1
			if theDocument is not missing value then
				set theFile to file of theDocument
				return POSIX path of theFile
			end if
		end if
		
		-- Otherwise subject or buddy
		if (count of chats) > 0 then
			set theChat to chat 1
			if exists subject of theChat then
				set theSubject to subject of theChat
				if theSubject is not missing value and theSubject is not "" then return {|text|:theSubject}
			end if

			set theBuddies to participants of theChat
			set theBuddy to item 1 of theBuddies
			return (service type of service of theBuddy as string) & ":" & (handle of theBuddy as string)
		end if
	end tell
end timeout
