with timeout of 5 seconds
	tell application id "com.devon-technologies.thinkpro2"
		set theURL to ""
		set thePath to ""
		set theFilename to ""
		set theUUID to ""
		set theName to ""
		
		if exists think window 1 then set theURL to URL of think window 1
		
		set theRecord to missing value
		set theRecord to content record
		if theRecord is missing value and (count of the selection) is 1 then
			set theRecord to item 1 of (the selection as list)
		end if
		
		if theRecord is not missing value then
			if theURL is "" then set theURL to URL of theRecord
			set thePath to path of theRecord
			set theName to name of theRecord
			set theType to type of theRecord
			if theType is not bookmark and theType is not feed then
				set theUUID to uuid of theRecord
				set theFilename to theUUID & ".dtp2"
			end if
		end if
		
		return {|URL|:theURL, |path|:thePath, |filename|:theFilename, |UUID|:theUUID, |name|:theName}
	end tell
end timeout
